%global srcname merge3

%if 0%{?fedora}
%bcond_without attest
%else
# some attestation dependencies not in EPEL
%bcond_with attest
%endif

Name:           python-%{srcname}
Version:        0.0.13
Release:        %autorelease
Summary:        Python implementation of 3-way merge
License:        GPL-2.0-or-later
URL:            https://www.breezy-vcs.org
# PyPI source does not contain tests
# Source:         %%{pypi_source}
Source:         https://github.com/breezy-team/merge3/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch:          %{srcname}-verbose-testlog.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
# BuildRequires:  python3dist(pytest)

%global _description %{expand:
A Python implementation of 3-way merge of texts.

Given BASE, OTHER, THIS, tries to produce a combined text
incorporating the changes from both BASE->OTHER and BASE->THIS.
All three will typically be sequences of lines.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%license COPYING
%doc README.rst


%changelog
%autochangelog
